#
# spec file for package islovak (Version 0.1.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  ispell
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip ispell kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         islovak
Copyright:    distributable
Group:        Applications/Publishing/TeX
Autoreqprov:  on
Version:      0.1.4
Release:      108
Summary:      Slovak dictionary for ispell.
Url:          http://ispell.hq.sk/
Source:       ispell-%{version}.tar.bz2
Source1:      slovak.el
BuildRoot:    /var/tmp/%{name}-build
Requires:     ispell
BuildArchitectures: noarch

%description
Slovak dictionary for ispell.

Authors:
--------
    Pavel Chalmoviansk <chalmo@fmph.uniba.sk>

SuSE series: spl

%prep
%setup -n ispell-%{version}

%build
buildhash slovak.words slovak.aff slovak.hash

%install
rm -rf $RPM_BUILD_ROOT
rm -f *~
mv *README.en README.en
mv *README.sk README.sk
install -d $RPM_BUILD_ROOT/usr/lib/ispell
cp slovak.aff slovak.hash $RPM_BUILD_ROOT/usr/lib/ispell
mkdir -p $RPM_BUILD_ROOT/usr/lib/ispell/emacs
cp $RPM_SOURCE_DIR/slovak.el  $RPM_BUILD_ROOT/usr/lib/ispell/emacs/

%files
%defattr(-,root,root)
%doc CHANGELOG *README.{en,sk}
/usr/lib/ispell/slovak.*
/usr/lib/ispell/emacs/slovak.el

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n islovak
* Wed Mar 14 2001 - werner@suse.de
- Use dynamic emacs menu feature of ispell package
  used by both emacs
- No spaces within file names
* Mon Feb 12 2001 - cihlar@suse.cz
- package created
